
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #618

scrobbler complains of network problem when checking permission

January 23, 2016 13:42 - Götz Waschk

Status: Closed Start date: January 23, 2016

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/scrobbler Estimated time: 0.00 hour

Target version: 3.7.2   

Affects version: 3.7.1   

Description

This is with audacious 3.7.1 on Mageia Linux. The scrobbler doesn't submit to last.fm, When I try to check the permissions, I'm

getting network problem, but http://status.last.fm/ says that submissions are OK. The scrobbler plugin was linked with curl and

OpenSSL.

History

#1 - February 05, 2016 15:23 - Andreas Kirchwitz

With Audacious 3.7.1 on Fedora 23 (Linux, 64 bit) I did the initial authentication to allow access. The browser opens and access is granted to

Audacious successfully.

But the button to check scrobbling permissions (plug-in settings) always results in a network problem. No further messages are given what went

wrong.

So I can verify the bug mentioned in this ticket.

However, scrobbling itself works just fine. It's only the permissions check that fails. Confusing.

#2 - February 12, 2016 20:13 - Ali Baba

I can confirm this bug. Version 3.7.1 on Arch 64.

#3 - February 13, 2016 07:46 - John Lindgren

- Subject changed from scrobbler not working to scrobbler complains of network problem when checking permission

#4 - February 20, 2016 15:58 - Mihai Tiganus

I can confirm this bug on Ubuntu 14.04. But in my case it doesn't scrobble at all.

#5 - February 21, 2016 19:06 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7.2

- % Done changed from 0 to 100

Last.FM appears to have removed part of their API (the user.getRecommendedArtists request).  If they continue to make changes like this without

warning, we may stop including a scrobbler plugin with Audacious.

#6 - February 22, 2016 00:00 - Thomas Lange

John, have you not been notified about the pull request [1] by Mihai Tiganus? It contains an additional fix for a OpenSSL/curl bug.
[1] https://github.com/audacious-media-player/audacious-plugins/pull/43
